--- git/Makefile.am.orig	2006-06-09 16:01:51.000000000 +0200
+++ git/Makefile.am	2006-06-09 16:02:59.000000000 +0200
@@ -35,6 +35,10 @@
 XINPUT_DIR=Xi
 endif
 
+if XKB
+XKB_DIR=xkb
+endif
+
 if DBE
 DBE_DIR=dbe
 endif
@@ -51,7 +55,7 @@
 	randr \
 	render  \
 	$(XINPUT_DIR) \
-	xkb \
+	$(XKB_DIR) \
 	$(DBE_DIR) \
 	$(MFB_DIR) \
 	$(AFB_DIR) \
--- git/configure.ac.orig	2006-05-22 22:40:00.000000000 +0200
+++ git/configure.ac	2006-06-10 15:10:14.000000000 +0200
@@ -418,6 +418,7 @@
 AC_ARG_ENABLE(xf86bigfont,    AS_HELP_STRING([--disable-xf86bigfont], [Build XF86 Big Font extension (default: enabled)]), [XF86BIGFONT=$enableval], [XF86BIGFONT=yes])
 AC_ARG_ENABLE(dpms,           AS_HELP_STRING([--disable-dpms], [Build DPMS extension (default: enabled)]), [DPMS=$enableval], [DPMSExtension=yes])
 AC_ARG_ENABLE(xinput,         AS_HELP_STRING([--disable-xinput], [Build XInput Extension (default: enabled)]), [XINPUT=$enableval], [XINPUT=yes])
+AC_ARG_ENABLE(xkb,            AS_HELP_STRING([--disable-xkb], [Build XKB (default: enabled)]), [XKB=$enableval], [XKB=yes])
 
 dnl DDXes.
 AC_ARG_ENABLE(xorg,    	      AS_HELP_STRING([--enable-xorg], [Build Xorg server (default: auto)]), [XORG=$enableval], [XORG=auto])
@@ -739,12 +740,15 @@
 
 AC_DEFINE(SHAPE, 1, [Support SHAPE extension])
 
-AC_DEFINE(XKB, 1, [Build XKB])
-AC_DEFINE(XKB_IN_SERVER, 1, [Build XKB server])
-AC_DEFINE(XKB_DFLT_DISABLED, 0, [Disable XKB per default])
-REQUIRED_MODULES="$REQUIRED_MODULES xkbfile"
-XKB_LIB='$(top_builddir)/xkb/libxkb.la'
-XKB_STUB_LIB='$(top_builddir)/xkb/libxkbstubs.la'
+AM_CONDITIONAL(XKB, [test "x$XKB" = xyes])
+if test "x$XKB" = xyes; then
+	AC_DEFINE(XKB, 1, [Build XKB])
+	AC_DEFINE(XKB_IN_SERVER, 1, [Build XKB server])
+	AC_DEFINE(XKB_DFLT_DISABLED, 0, [Disable XKB per default])
+	REQUIRED_MODULES="$REQUIRED_MODULES xkbfile"
+	XKB_LIB='$(top_builddir)/xkb/libxkb.la'
+	XKB_STUB_LIB='$(top_builddir)/xkb/libxkbstubs.la'
+fi
 
 AC_CHECK_FUNC(strcasecmp, [], AC_DEFINE([NEED_STRCASECMP], 1,
                                         [Do not have `strcasecmp'.]))
